// 分公司特殊组件页面注册
import Vue from 'vue'

export default function () {
  // 用户失联
  Vue.component('user-lost-contact-analysis', (resolve) => { require(['./UserLostContactAnalysis'], resolve) })
  // 上报统计分析--抄表分析
  Vue.component('user-gas-list', (resolve) => { require(['./UserGasList'], resolve) })
  // 失联查询
  Vue.component('lost-contact-analysis-list', (resolve) => { require(['./webmeter/LostContactAnalysisList'], resolve) })
  Vue.component('new-query-instruct', (resolve) => { require(['./webmeter/NewQueryInstruct'], resolve) })
  // 上报统计分析--指令分析
  Vue.component('user-instruct-list', (resolve) => { require(['./webmeter/UserInstructList'], resolve) })
  // 异常汇总分析
  Vue.component('total-exception-by-meter', (resolve) => { require(['./webmeter/TotalExceptionByMeter'], resolve) })
  // 上报查询
  Vue.component('report-list', (resolve) => { require(['./webmeter/ReportList'], resolve) })
  // 指令分析图表分析
  Vue.component('user-instruct-echarts-list', (resolve) => { require(['./webmeter/UserInstructEchartsList'], resolve) })
}
